%global pkgvers 0
%global scdate0 20240331
%global schash0 fe221866238282057478b3c15e985dd12c8f49ef
%global branch0 master
%global source0 https://github.com/mfontanini/libtins.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libtins
Version:        4.5
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        C++ network packet sniffing and crafting library
License:        BSD

URL:            http://libtins.github.io

BuildRequires:  git gcc-c++ cmake doxygen gtest-devel
BuildRequires:  libpcap-devel openssl-devel boost-devel

%description
A high-level, multiplatform C++ network packet sniffing
and crafting library. Its main purpose is to provide the
C++ developer an easy, efficient, platform and
endianess-independent way to create tools which need to send,
receive and manipulate specially crafted packets.

%package        devel
Requires:       libtins
Summary:        Development package for %{name}

%description    devel
This package provides %{name} headers for developers.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller

%build
%cmake -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build


%install
%cmake_install
mv -f %{buildroot}/usr/lib %{buildroot}%{_libdir}


%files
%doc {README,CONTRIBUTING,CHANGES}.md
%{_libdir}/libtins.so.*

%files devel
%doc examples/
%{_includedir}/tins/
%{_libdir}/libtins.so
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*


%changelog
* Fri Oct 02 2020 Cristian Balint <cristian.balint@gmail.com>
- git update releases
